Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Assembly_Placement::Visitor Class Reference

`#include <Assembly_Spec.h>`

List of all members.

## Public Methods
| Visitor ()
virtual | ~Visitor ()=0
virtual int | visit_Container (Container *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual int | visit_hostcollocation (hostcollocation *hc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual int | visit_processcollocation (processcollocation *pc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual int | visit_homeplacement (homeplacement *hp ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual int | visit_componentinstantiation (componentinstantiation *ci ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Placement::Visitor::Visitor | ( |  | ) |

CIAO::Assembly_Placement::Visitor::~Visitor | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual int CIAO::Assembly_Placement::Visitor::visit_componentinstantiation | ( | componentinstantiation *ci | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

virtual int CIAO::Assembly_Placement::Visitor::visit_Container | ( | Container *c | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

virtual int CIAO::Assembly_Placement::Visitor::visit_homeplacement | ( | homeplacement *hp | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

virtual int CIAO::Assembly_Placement::Visitor::visit_hostcollocation | ( | hostcollocation *hc | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

virtual int CIAO::Assembly_Placement::Visitor::visit_processcollocation | ( | processcollocation *pc | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.cpp
- Assembly_Spec.inl